Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000836Core InformListspublic2012-01-09 18:192014-05-07 07:34
Reporterfaiuwle 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000836: List code not included for lists in parameters
DescriptionApparently the I6 list code is not included if there is a list as a function parameter, but no actual list object defined in the source. (I encountered this when compiling after writing the contents of a function (to check syntax), but before writing the code that called it.) Results in an error where the I7 compiler succeeds, but the I6 compiler fails. Not sure if this is really "critical".
Minimal Source Text To Reproduce
To decide whether list iteration works on (L - a list of numbers):
	repeat with n running through L:
		say "check![line break]";
	decide yes.
   
Test is a room.
TagsNo tags attached.
Effect(critical) Inform 6 compiler reports errors for valid code
Attached Files

- Relationships
has duplicate 0001119closed Failure to translate source when using list for argument. 
has duplicate 0001443closed Defining new adjective applicable to lists can cause compiler errors, depending on wording 
related to 0001190closedgraham Reference to action name in a To Decide phrase cases compilation to fail 

-  Notes
(0002087)
zarf (developer)
2013-06-07 12:47

For future searchability:

No such constant as "LIST_OF_TY_GetItem"
No such constant as "LIST_OF_TY_GetLength"
(0002252)
graham (administrator)
2014-01-05 10:51

Fixed as a result of other changes.

- Issue History
Date Modified Username Field Change
2012-01-09 18:19 faiuwle New Issue
2012-01-10 07:06 EmacsUser Severity mild => critical
2012-01-10 07:06 EmacsUser Status new => confirmed
2012-01-10 07:06 EmacsUser Steps to Reproduce Updated View Revisions
2013-06-07 12:46 zarf Relationship added has duplicate 0001119
2013-06-07 12:47 zarf Note Added: 0002087
2014-01-05 10:51 graham Note Added: 0002252
2014-01-05 10:51 graham Status confirmed => resolved
2014-01-05 10:51 graham Resolution open => fixed
2014-01-05 10:51 graham Assigned To => graham
2014-02-01 10:40 zarf Relationship added related to 0001190
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed
2014-10-29 10:35 zarf Relationship added has duplicate 0001443


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker